SmartWebSecurity API, REST: SecurityProfile.List
- HTTP request
- Query parameters
- Response
- SecurityProfile
- SecurityRule
- RuleCondition
- Condition
- AuthorityMatcher
- StringMatcher
- ListsMatchers
- ListsMatcher
- HttpMethodMatcher
- RequestUriMatcher
- QueryMatcher
- HeaderMatcher
- IpMatcher
- IpRangesMatcher
- GeoIpMatcher
- AsnRangesMatcher
- CookieMatcher
- BotCategoryMatcher
- BotNameMatcher
- BotScoreMatcher
- IntMatcher
- IntLEMatcher
- IntGEMatcher
- IntEQMatcher
- IntNEMatcher
- VerifiedBotMatcher
- BoolMatcher
- FingerPrintMatcher
- SmartProtection
- Waf
- AnalyzeRequestBody
- LogOptions
Retrieves the list of SecurityProfile resources in the specified folder.
HTTP request
GET https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/securityProfiles
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder that the security profile belongs to. |
Response
HTTP Code: 200 - OK
{
"securityProfiles": [
{
"id": "string",
"folderId": "string",
"labels": "object",
"name": "string",
"description": "string",
"defaultAction": "string",
"securityRules": [
{
// Includes only one of the fields `ruleCondition`, `smartProtection`, `waf`
"ruleCondition": {
"action": "string",
"condition": {
"authority": {
"authorities": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"authorityMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"httpMethod": {
"httpMethods": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"httpMethodMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"requestUri": {
"path": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"queries": [
{
"key": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
]
},
"headers": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"sourceIp": {
"ipRangesMatch": {
"ipRanges": [
"string"
]
},
"ipRangesNotMatch": {
"ipRanges": [
"string"
]
},
"geoIpMatch": {
"locations": [
"string"
]
},
"geoIpNotMatch": {
"locations": [
"string"
]
},
"ipListsMatch": {
"listIds": [
"string"
]
},
"ipListsNotMatch": {
"listIds": [
"string"
]
},
"asnRangesMatch": {
"asnRanges": [
"string"
]
},
"asnRangesNotMatch": {
"asnRanges": [
"string"
]
},
"asnListsMatch": {
"listIds": [
"string"
]
},
"asnListsNotMatch": {
"listIds": [
"string"
]
}
},
"cookies": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"botCategory": {
"botCategoryListsMatch": {
"listIds": [
"string"
]
},
"botCategoryListsNotMatch": {
"listIds": [
"string"
]
}
},
"botName": {
"botNameListsMatch": {
"listIds": [
"string"
]
},
"botNameListsNotMatch": {
"listIds": [
"string"
]
}
},
"botScore": {
"value": [
{
// Includes only one of the fields `leMatch`, `geMatch`, `eqMatch`, `neMatch`
"leMatch": {
"value": "string"
},
"geMatch": {
"value": "string"
},
"eqMatch": {
"value": "string"
},
"neMatch": {
"value": "string"
}
// end of the list of possible fields
}
]
},
"verifiedBot": {
"verified": {
"match": "boolean"
}
},
"fingerPrint": {
"ja3Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja4Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja3Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"ja4Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
}
},
"smartProtection": {
"mode": "string",
"condition": {
"authority": {
"authorities": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"authorityMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"httpMethod": {
"httpMethods": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"httpMethodMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"requestUri": {
"path": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"queries": [
{
"key": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
]
},
"headers": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"sourceIp": {
"ipRangesMatch": {
"ipRanges": [
"string"
]
},
"ipRangesNotMatch": {
"ipRanges": [
"string"
]
},
"geoIpMatch": {
"locations": [
"string"
]
},
"geoIpNotMatch": {
"locations": [
"string"
]
},
"ipListsMatch": {
"listIds": [
"string"
]
},
"ipListsNotMatch": {
"listIds": [
"string"
]
},
"asnRangesMatch": {
"asnRanges": [
"string"
]
},
"asnRangesNotMatch": {
"asnRanges": [
"string"
]
},
"asnListsMatch": {
"listIds": [
"string"
]
},
"asnListsNotMatch": {
"listIds": [
"string"
]
}
},
"cookies": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"botCategory": {
"botCategoryListsMatch": {
"listIds": [
"string"
]
},
"botCategoryListsNotMatch": {
"listIds": [
"string"
]
}
},
"botName": {
"botNameListsMatch": {
"listIds": [
"string"
]
},
"botNameListsNotMatch": {
"listIds": [
"string"
]
}
},
"botScore": {
"value": [
{
// Includes only one of the fields `leMatch`, `geMatch`, `eqMatch`, `neMatch`
"leMatch": {
"value": "string"
},
"geMatch": {
"value": "string"
},
"eqMatch": {
"value": "string"
},
"neMatch": {
"value": "string"
}
// end of the list of possible fields
}
]
},
"verifiedBot": {
"verified": {
"match": "boolean"
}
},
"fingerPrint": {
"ja3Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja4Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja3Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"ja4Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
}
},
"waf": {
"mode": "string",
"condition": {
"authority": {
"authorities": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"authorityMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"httpMethod": {
"httpMethods": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"httpMethodMatcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
},
"requestUri": {
"path": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"queries": [
{
"key": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
]
},
"headers": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"sourceIp": {
"ipRangesMatch": {
"ipRanges": [
"string"
]
},
"ipRangesNotMatch": {
"ipRanges": [
"string"
]
},
"geoIpMatch": {
"locations": [
"string"
]
},
"geoIpNotMatch": {
"locations": [
"string"
]
},
"ipListsMatch": {
"listIds": [
"string"
]
},
"ipListsNotMatch": {
"listIds": [
"string"
]
},
"asnRangesMatch": {
"asnRanges": [
"string"
]
},
"asnRangesNotMatch": {
"asnRanges": [
"string"
]
},
"asnListsMatch": {
"listIds": [
"string"
]
},
"asnListsNotMatch": {
"listIds": [
"string"
]
}
},
"cookies": [
{
"name": "string",
"value": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
],
"botCategory": {
"botCategoryListsMatch": {
"listIds": [
"string"
]
},
"botCategoryListsNotMatch": {
"listIds": [
"string"
]
}
},
"botName": {
"botNameListsMatch": {
"listIds": [
"string"
]
},
"botNameListsNotMatch": {
"listIds": [
"string"
]
}
},
"botScore": {
"value": [
{
// Includes only one of the fields `leMatch`, `geMatch`, `eqMatch`, `neMatch`
"leMatch": {
"value": "string"
},
"geMatch": {
"value": "string"
},
"eqMatch": {
"value": "string"
},
"neMatch": {
"value": "string"
}
// end of the list of possible fields
}
]
},
"verifiedBot": {
"verified": {
"match": "boolean"
}
},
"fingerPrint": {
"ja3Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja4Ranges": [
{
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
],
"ja3Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
},
"ja4Matcher": {
// Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
"exactMatch": "string",
"exactNotMatch": "string",
"prefixMatch": "string",
"prefixNotMatch": "string",
"pireRegexMatch": "string",
"pireRegexNotMatch": "string",
"defined": "boolean",
"listsMatchers": {
"strListsMatch": {
"listIds": [
"string"
]
},
"strListsNotMatch": {
"listIds": [
"string"
]
},
"regExpListsMatch": {
"listIds": [
"string"
]
},
"regExpListsNotMatch": {
"listIds": [
"string"
]
}
}
// end of the list of possible fields
}
}
},
"wafProfileId": "string"
},
// end of the list of possible fields
"name": "string",
"priority": "string",
"dryRun": "boolean",
"description": "string",
"customPageId": "string"
}
],
"createdAt": "string",
"cloudId": "string",
"captchaId": "string",
"advancedRateLimiterProfileId": "string",
"disallowDataProcessing": "boolean",
"analyzeRequestBody": {
"sizeLimit": "string",
"sizeLimitAction": "string"
},
"logOptions": {
"logGroupId": "string",
"enable": "boolean",
"enabledModules": [
"string"
],
"enabledActions": [
"string"
],
"discardAllowPercentage": "string",
"outputs": [
"string"
]
},
"logGroupId": "string",
"customPageId": "string"
}
]
}
|
Field |
Description |
|
securityProfiles[] |
List of SecurityProfile resources. |
SecurityProfile
A SecurityProfile resource.
|
Field |
Description |
|
id |
string ID of the security profile. |
|
folderId |
string ID of the folder that the security profile belongs to. |
|
labels |
object (map<string, string>) Labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
name |
string Name of the security profile. The name is unique within the folder. 1-50 characters long. The string length in characters must be 1-50. Value must match the regular expression |
|
description |
string Optional description of the security profile. The maximum string length in characters is 512. |
|
defaultAction |
enum (DefaultAction) Required field. Action to perform if none of rules matched.
|
|
securityRules[] |
List of security rules. |
|
createdAt |
string (date-time) Creation timestamp in RFC3339 String in RFC3339 To work with values in this field, use the APIs described in the |
|
cloudId |
string ID of the cloud that the security profile belongs to. |
|
captchaId |
string Captcha ID to use with this security profile. Set empty to use default. |
|
advancedRateLimiterProfileId |
string Advanced rate limiter profile ID to use with this security profile. Set empty to use default. |
|
disallowDataProcessing |
boolean Disables the use of HTTP request data for training and improving the service's ML models. |
|
analyzeRequestBody |
Parameters for request body analyzer. |
|
logOptions |
Configures logging of requests processed by SWS to Audit Trails and Cloud Logging. |
|
logGroupId |
string ID of the Cloud Logging log group to write SWS logs to. |
|
customPageId |
string ID of the default custom page shown to the user when a request is denied. |
SecurityRule
A SecurityRule object, see Rules.
|
Field |
Description |
|
ruleCondition |
Rule actions, see Rule actions. Includes only one of the fields |
|
smartProtection |
Smart Protection rule, see Smart Protection rules. Includes only one of the fields |
|
waf |
Web Application Firewall (WAF) rule, see WAF rules. Includes only one of the fields |
|
name |
string Required field. Name of the rule. The name is unique within the security profile. 1-50 characters long. The string length in characters must be 1-50. Value must match the regular expression |
|
priority |
string (int64) Determines the priority for checking the incoming traffic. Acceptable values are 1 to 999999, inclusive. |
|
dryRun |
boolean This mode allows you to test your security profile or a single rule. |
|
description |
string Optional description of the rule. 0-512 characters long. The maximum string length in characters is 512. |
|
customPageId |
string ID of the custom page shown to the user when the rule denies a request. |
RuleCondition
RuleCondition object.
|
Field |
Description |
|
action |
enum (Action) Required field. Action to perform if this rule matched.
|
|
condition |
The condition for matching the rule. |
Condition
Condition object. AND semantics implied.
See documentation for matchers description.
|
Field |
Description |
|
authority |
Match authority (Host header). |
|
httpMethod |
Match HTTP method. |
|
requestUri |
Match Request URI. |
|
headers[] |
Match HTTP headers. The maximum number of elements is 20. |
|
sourceIp |
Match IP. |
|
cookies[] |
Match cookies. The maximum number of elements is 20. |
|
botCategory |
Match bot category. |
|
botName |
Match bot name. |
|
botScore |
Match bot score. |
|
verifiedBot |
Match verified bot. |
|
fingerPrint |
Match fingerprint. |
AuthorityMatcher
AuthorityMatcher object.
|
Field |
Description |
|
authorities[] |
List of authorities. OR semantics implied. The maximum number of elements is 20. |
|
authorityMatcher |
Authority matcher. |
StringMatcher
StringMatcher object.
|
Field |
Description |
|
exactMatch |
string Exact match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
exactNotMatch |
string Exact not match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
prefixMatch |
string Prefix match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
prefixNotMatch |
string Prefix not match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
pireRegexMatch |
string PIRE regex match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
pireRegexNotMatch |
string PIRE regex not match condition. The string length in characters must be 0-255. Includes only one of the fields |
|
defined |
boolean Matches if the field is defined. Includes only one of the fields |
|
listsMatchers |
Matches against string and regular expression lists. Includes only one of the fields |
ListsMatchers
ListsMatchers object.
|
Field |
Description |
|
strListsMatch |
String lists to match with. |
|
strListsNotMatch |
String lists to not match with. |
|
regExpListsMatch |
Regular expression lists to match with. |
|
regExpListsNotMatch |
Regular expression lists to not match with. |
ListsMatcher
ListsMatcher object.
|
Field |
Description |
|
listIds[] |
string List of list IDs to match against. OR semantics implied. The number of elements must be in the range 1-10. |
HttpMethodMatcher
HttpMethodMatcher object.
|
Field |
Description |
|
httpMethods[] |
List of HTTP methods. OR semantics implied. The maximum number of elements is 20. |
|
httpMethodMatcher |
HTTP method matcher. |
RequestUriMatcher
RequestUriMatcher object. AND semantics implied.
|
Field |
Description |
|
path |
Path of the URI RFC3986 |
|
queries[] |
List of query matchers. AND semantics implied. The maximum number of elements is 20. |
QueryMatcher
QueryMatcher object.
|
Field |
Description |
|
key |
string Required field. Key of the query parameter. The string length in characters must be 1-255. |
|
value |
Required field. Value of the query parameter. |
HeaderMatcher
HeaderMatcher object.
|
Field |
Description |
|
name |
string Required field. Name of header (case insensitive). The string length in characters must be 1-255. |
|
value |
Required field. Value of the header. |
IpMatcher
IpMatcher object. AND semantics implied.
|
Field |
Description |
|
ipRangesMatch |
IP ranges to match with. |
|
ipRangesNotMatch |
IP ranges to not match with. |
|
geoIpMatch |
Geo locations to match with. |
|
geoIpNotMatch |
Geo locations to not match with. |
|
ipListsMatch |
IP lists to match with. |
|
ipListsNotMatch |
IP lists to not match with. |
|
asnRangesMatch |
ASN ranges to match with. |
|
asnRangesNotMatch |
ASN ranges to not match with. |
|
asnListsMatch |
ASN lists to match with. |
|
asnListsNotMatch |
ASN lists to not match with. |
IpRangesMatcher
IpRangesMatcher object.
|
Field |
Description |
|
ipRanges[] |
string List of IP ranges. OR semantics implied. The string length in characters for each value must be greater than 0. The maximum number of elements is 10000. |
GeoIpMatcher
GeoIpMatcher object.
|
Field |
Description |
|
locations[] |
string ISO 3166-1 alpha 2. OR semantics implied. The minimum number of elements is 1. |
AsnRangesMatcher
AsnRangesMatcher object.
|
Field |
Description |
|
asnRanges[] |
string (int64) List of ASN values to match against. OR semantics implied. The maximum number of elements is 10000. Acceptable values are 0 to 4294967295, inclusive. |
CookieMatcher
CookieMatcher object.
|
Field |
Description |
|
name |
string Required field. Name of the cookie parametr. The string length in characters must be 1-255. |
|
value |
Required field. Value of the cookie parametr. |
BotCategoryMatcher
BotCategoryMatcher object. AND semantics implied.
|
Field |
Description |
|
botCategoryListsMatch |
Bot category lists to match with. |
|
botCategoryListsNotMatch |
Bot category lists to not match with. |
BotNameMatcher
BotNameMatcher object. AND semantics implied.
|
Field |
Description |
|
botNameListsMatch |
Bot name lists to match with. |
|
botNameListsNotMatch |
Bot name lists to not match with. |
BotScoreMatcher
BotScoreMatcher object.
|
Field |
Description |
|
value[] |
List of integer matchers for bot score. OR semantics implied. The maximum number of elements is 4. |
IntMatcher
IntMatcher object.
|
Field |
Description |
|
leMatch |
Less than or equal condition. Includes only one of the fields |
|
geMatch |
Greater than or equal condition. Includes only one of the fields |
|
eqMatch |
Equal condition. Includes only one of the fields |
|
neMatch |
Not equal condition. Includes only one of the fields |
IntLEMatcher
IntLEMatcher object.
|
Field |
Description |
|
value |
string (int64) Upper bound value (inclusive). |
IntGEMatcher
IntGEMatcher object.
|
Field |
Description |
|
value |
string (int64) Lower bound value (inclusive). |
IntEQMatcher
IntEQMatcher object.
|
Field |
Description |
|
value |
string (int64) Value to match against. |
IntNEMatcher
IntNEMatcher object.
|
Field |
Description |
|
value |
string (int64) Value to not match against. |
VerifiedBotMatcher
VerifiedBotMatcher object.
|
Field |
Description |
|
verified |
Matches if the bot is verified or not. |
BoolMatcher
BoolMatcher object.
|
Field |
Description |
|
match |
boolean Boolean value to match against. |
FingerPrintMatcher
FingerPrintMatcher object.
|
Field |
Description |
|
ja3Ranges[] |
List of JA3 fingerprint matchers. OR semantics implied. The maximum number of elements is 20. |
|
ja4Ranges[] |
List of JA4 fingerprint matchers. OR semantics implied. The maximum number of elements is 20. |
|
ja3Matcher |
JA3 fingerprint matcher. |
|
ja4Matcher |
JA4 fingerprint matcher. |
SmartProtection
SmartProtection object.
|
Field |
Description |
|
mode |
enum (Mode) Required field. Mode of protection.
|
|
condition |
The condition for matching the rule. |
Waf
Waf object.
|
Field |
Description |
|
mode |
enum (Mode) Required field. Mode of protection.
|
|
condition |
The condition for matching the rule. |
|
wafProfileId |
string Required field. ID of WAF profile to use in this rule. |
AnalyzeRequestBody
|
Field |
Description |
|
sizeLimit |
string (int64) Maximum size of body to pass to analyzer. In kilobytes. |
|
sizeLimitAction |
enum (Action) Required field. Action to perform if maximum size of body exceeded.
|
LogOptions
|
Field |
Description |
|
logGroupId |
string ID of the Cloud Logging log group to write SWS logs to. |
|
enable |
boolean Enables logging of requests processed by SWS. |
|
enabledModules[] |
enum (Module) List of modules whose requests will be logged.
|
|
enabledActions[] |
enum (Action) List of verdicts for which requests will be logged.
|
|
discardAllowPercentage |
string (int64) Percentage of ALLOW verdicts to discard from logging (0-100). Acceptable values are 0 to 100, inclusive. |
|
outputs[] |
enum (Output) List of log destinations: Cloud Logging and/or Audit Trails.
|